/// <reference types="node" />
import ChannelItem from "./ChannelItem";
import ServiceItem from "./ServiceItem";
export default class Service {
    static get(id: number): ServiceItem;
    static get(networkId: number, serviceId: number): ServiceItem;
    static exists(id: number): boolean;
    static exists(networkId: number, serviceId: number): boolean;
    static findByChannel(channel: ChannelItem): ServiceItem[];
    static findByNetworkId(networkId: number): ServiceItem[];
    static findByNetworkIdWithLogoId(networkId: number, logoId: number): ServiceItem[];
    static all(): ServiceItem[];
    static getLogoDataPath(networkId: number, logoId: number): string;
    static getLogoDataMTime(networkId: number, logoId: number): Promise<number>;
    static isLogoDataExists(networkId: number, logoId: number): Promise<boolean>;
    static loadLogoData(networkId: number, logoId: number): Promise<Buffer>;
    static saveLogoData(networkId: number, logoId: number, data: Buffer, retrying?: boolean): Promise<void>;
    private _items;
    private _saveTimerId;
    constructor();
    get items(): ServiceItem[];
    add(item: ServiceItem): void;
    get(id: number): ServiceItem;
    get(networkId: number, serviceId: number): ServiceItem;
    exists(id: number): boolean;
    exists(networkId: number, serviceId: number): boolean;
    findByChannel(channel: ChannelItem): ServiceItem[];
    findByNetworkId(networkId: number): ServiceItem[];
    findByNetworkIdWithLogoId(networkId: number, logoId: number): ServiceItem[];
    save(): void;
    private _load;
    private _save;
}
