"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sleep = exports.updateObject = exports.ChannelTypes = void 0;
var ChannelTypes;
(function (ChannelTypes) {
    ChannelTypes["GR"] = "GR";
    ChannelTypes["BS"] = "BS";
    ChannelTypes["CS"] = "CS";
    ChannelTypes["SKY"] = "SKY";
})(ChannelTypes = exports.ChannelTypes || (exports.ChannelTypes = {}));
function updateObject(target, input) {
    let updated = false;
    for (const k in input) {
        if (Array.isArray(target[k]) && Array.isArray(input[k])) {
            updated = updateArray(target[k], input[k]) || updated;
            continue;
        }
        else if (target[k] === null && input[k] === null) {
            continue;
        }
        else if (typeof target[k] === "object" && typeof input[k] === "object") {
            updated = updateObject(target[k], input[k]) || updated;
            continue;
        }
        else if (target[k] === input[k]) {
            continue;
        }
        target[k] = input[k];
        updated = true;
    }
    return updated;
}
exports.updateObject = updateObject;
function updateArray(target, input) {
    const length = target.length;
    if (length !== input.length) {
        target.splice(0, length, ...input);
        return true;
    }
    let updated = false;
    for (let i = 0; i < length; i++) {
        if (Array.isArray(target[i]) && Array.isArray(input[i])) {
            updated = updateArray(target[i], input[i]) || updated;
            continue;
        }
        else if (target[i] === null && input[i] === null) {
            continue;
        }
        else if (typeof target[i] === "object" && typeof input[i] === "object") {
            updated = updateObject(target[i], input[i]) || updated;
            continue;
        }
        else if (target[i] === input[i]) {
            continue;
        }
        target[i] = input[i];
        updated = true;
    }
    return updated;
}
function sleep(ms) {
    return new Promise(resolve => {
        setTimeout(resolve, ms);
    });
}
exports.sleep = sleep;
//# sourceMappingURL=common.js.map